## user_getall

### Verwendung

Sie lassen sich die Namen aller DBM-Benutzer, einschließlich des Datenbanksystemadministrators anzeigen, die für die aktuelle Datenbankinstanz angelegt wurden.

Siehe auch:

Konzepte des Datenbanksystems, Benutzer, Authentifizierung und Berechtigungen

### Voraussetzungen

Sie haben die Serverberechtigung DBInfoRead.

### Syntax

user_getall

### Antwort

OK

<dbm_operator_1>

<sysdba_user>

<dbm_operator_2>

...

Im Fehlerfall siehe Antwortformat

### Beispiel

Aufrufen des Database Manager CLI, Anmelden als Database Manager-Benutzer mit dem Namen OLEG und dem Kennwort MONDAY, Herstellen der Verbindung zur Datenbankinstanz DEMODB, Anzeigen aller DBM-Benutzer der Datenbankinstanz:

>dbmcli -u OLEG,MONDAY -d DEMODB user_getall

OK

DBM

DBADMIN

oleg

elena